<?php
/*-------------------------------------------------------+
| Filename: infusion_core.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once INCLUDES."infusions_include.php";
if(!defined("IN_FUSION")) die("Access Denied");

if(!defined("ICO_FILES")) {
    define("ICO_FILES", INFUSIONS."duner_weather/weather_icons/");
}

$weather_settings = get_settings("duner_weather");

class calendar {

    /*
     *
     * AUTHOR - Mateusz Sieprawski - http://duner.pl/
     *
     */
    
    public $days;
    public $day;
    public $hidden_days_array;
    public $month_days;

    public $day_of_week = array(0 => "Niedziela", "Poniedziałek", "Wtorek", "Środa", "Czwartek", "Piątek", "Sobota");
    public $transformed_months = array(1 => "Stycznia", "Lutego", "Marca", "Kwietnia", "Maja", "Czerwieca", "Lipieca", "Sierpnia", "Września", "Października", "Listopada", "Grudnia");
    public $months = array(1 => "Styczeń", "Luty", "Marzec", "Kwiecień", "Maj", "Czerwiec", "Lipiec", "Sierpień", "Wrzesień", "Październik", "Listopad", "Grudzień");

    public function days_in_month($month, $year) {
        $this->days = 31;
        while(!checkdate($month, $this->days, $year)) {
            $this->days--;
        }
        return $this->days;
    }

    public function hidden_days($month, $year) {
        $this->day = date("w", mktime(0, 0, 0, $month, 1, $year));
        $day_ang = date("l", mktime(0, 0, 0, $month, 1, $year));
        if($day_ang == "Sunday") {
            return 6;
        } else {
            return $this->day-1;
        }
    }

    public function day_of_week($number) {
        return $this->day_of_week[$number];
    }

    public function transformed_month($month) {
        return $this->transformed_months[$month];
    }

    public function month($month) {
        return $this->months[$month];
    }

    public function get_hidden_days($month, $year) {
        $this->hidden_days_array = array();
        for($i=0;$i<calendar::hidden_days($month, $year);$i++) {
            $this->hidden_days_array[] = " ";
        }
        return $this->hidden_days_array;
    }

    public function get_days($month, $year) {
        $this->month_days = array();
        for($i=1;$i<(calendar::days_in_month($month, $year))+1;$i++) {
            $this->month_days[] = " ";
        }
        return $this->month_days;
    }

}

if(!function_exists("scaleImage")) {
    function scaleImage($location, $maxw=NULL, $maxh=NULL, $style=NULL) {

        /*
         *
         * AUTHOR - Mateusz Sieprawski - http://duner.pl/
         *
         */

        $img = @getimagesize($location);
        if($img){
            $w = $img[0];
            $h = $img[1];
            $dim = array('w','h');
            foreach($dim AS $val){
                $max = "max{$val}";
                if(${$val} > ${$max} && ${$max}){
                    $alt = ($val == 'w') ? 'h' : 'w';
                    $ratio = ${$alt} / ${$val};
                    ${$val} = ${$max};
                    ${$alt} = ${$val} * $ratio;
                }
            }
            if($style != NULL) {
                $style = " style='$style'";
            }
            return("<img src='{$location}' alt='image' width='{$w}' height='{$h}'$style />");
        }
    }
}

function delImage($image) {

    /*
     *
     * AUTHOR - Mateusz Sieprawski - http://duner.pl/
     *
     */

    $error = array(1 => "Ta ikonka nie posiada obrazka", "Nie można było odnaleźć obrazka na serwerze", "Wystąpił nieoczekiwany bład podczas usuwania obrazka. Spróbuj ponownie.");

    if($image != NULL) {
        if(file_exists($image)) {
            if(function_exists("chmod")) chmod($image, 0777);
            unlink($image);
            if(file_exists($image)) {
                return $error[3];
            } else {
                return 1;
            }
        } else {
            return $error[2];
        }
    } else {
        return $error[1];
    }
}

function userExists($id) {

    /*
     *
     * AUTHOR - Mateusz Sieprawski - http://duner.pl/
     *
     */

    if(dbcount("(user_id)", DB_USERS, "user_id='$id'") == 1) {
        return true;
    } else {
        return false;
    }
}

function getUsername($id) {

    /*
     *
     * AUTHOR - Mateusz Sieprawski - http://duner.pl/
     *
     */

    $user = dbarray(dbquery("SELECT user_name FROM `".DB_USERS."` WHERE user_id='$id'"));
    return $user['user_name'];
}

function getIcoName($id) {

    /*
     *
     * AUTHOR - Mateusz Sieprawski - http://duner.pl/
     *
     */

    $ico = dbarray(dbquery("SELECT ico_name FROM `".DB_WEATHER_ICONS."` WHERE ico_id='$id'"));
    return $ico['ico_name'];
}

?>