<?php
/*-------------------------------------------------------+
| Filename: duner_weather_panel.php
| Author: Mateusz Sieprawski - http://duner.pl/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");
require_once INFUSIONS."duner_weather/infusion_db.php";
require_once INFUSIONS."duner_weather/infusion_core.php";

global $weather_settings;

openside("Prognoza pogody");

// dostepne jednostki
$temp_units = array(
    0 => "&#186;C",
    1 => "&#186;F"
);
$speed_units = array(
    0 => "km/h",
    1 => "m/s"
);
$pressure_units = array(
    0 => "hPa",
    1 => "Pa"
);

// dzisiejsza data
$day = date("j");
$month = date("n");
$year = date("Y");

// okreslenie pory dnia
$hours = date("G");
if($hours == 6 || $hours == 7 || $hours == 8 || $hours == 9 || $hours == 10 || $hours == 11 || $hours == 12 || $hours == 13 || $hours == 14 || $hours == 15 || $hours == 16 || $hours == 17 || $hours == 18) {
    $type = 1; // dzien
} elseif($hours == 19 || $hours == 20 || $hours == 21 || $hours == 22 || $hours == 23 || $hours == 0 || $hours == 1 || $hours == 2 || $hours == 3 || $hours == 4 || $hours == 5) {
    $type = 2; // noc
}

echo "<div style='text-align:center'>\n";
$sql = dbquery("SELECT * FROM `".DB_WEATHER."` WHERE w_day='$day' AND w_month='$month' AND w_year='$year' AND w_type='$type' LIMIT 0,1");
if(dbrows($sql) > 0) {
    $w = dbarray($sql);
    if($w['w_ico'] != 0 && $w['w_ico'] != "") {
        $ico = dbarray(dbquery("SELECT * FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$w['w_ico']."'"));
        if(file_exists(INFUSIONS."duner_weather/weather_icons/".$ico['ico_file'])) {
            $icon = "<img src='".INFUSIONS."duner_weather/weather_icons/".$ico['ico_file']."' alt='image' width='150' height='150' style='border:0' />";
        } else {
            $icon = "nie odnaleziono ikonki na serwerze";
        }
    } else {
        $icon = "brak ikonki";
    }
    if($weather_settings['icon'] == 1 || $weather_settings['icon_name'] == 1 || $weather_settings['icon_desc'] == 1) {
        echo "<div style='text-align:center'>\n";
        if($weather_settings['icon_name'] == 1) {
            echo "<strong>".$ico['ico_name']."</strong><br />\n";
        }
        if($weather_settings['icon'] == 1) {
            echo $icon."<br />\n";
        }
        if($weather_settings['icon_desc'] == 1) {
            echo "<i>".$ico['ico_desc']."</i><br /><br />\n";
        }
        echo "</div>\n";
    }
    if($weather_settings['temp'] == 1 || $weather_settings['tempf'] == 1 || $weather_settings['pre'] == 1 || $weather_settings['wind'] == 1 || $weather_settings['windmax'] == 1 || $weather_settings['rain'] == 1 || $weather_settings['wet'] == 1 || $weather_settings['bio'] == 1) {
        echo "<div style='text-align:left'>\n";
        if($weather_settings['temp'] == 1) {
            for($i=0;$i<count($temp_units);$i++) {
                if($w['w_temp_type'] == $i) $unit = $temp_units[$i];
            }
            echo "Temp.: ".$w['w_temp'].$unit."<br />\n";
        }
        if($weather_settings['tempf'] == 1) {
            for($i=0;$i<count($temp_units);$i++) {
                if($w['w_tempf_type'] == $i) $unit = $temp_units[$i];
            }
            echo "Odczuwalnie: ".$w['w_tempf'].$unit."<br />\n";
        }
        if($weather_settings['pre'] == 1) {
            for($i=0;$i<count($pressure_units);$i++) {
                if($w['w_pre_type'] == $i) $unit = $pressure_units[$i];
            }
            echo "Ciśnienie: ".$w['w_pre'].$unit."<br />\n";
        }
        if($weather_settings['wind'] == 1) {
            for($i=0;$i<count($speed_units);$i++) {
                if($w['w_wind_type'] == $i) $unit = $speed_units[$i];
            }
            echo "Wiatr: ".$w['w_wind'].$unit."<br />\n";
        }
        if($weather_settings['windmax'] == 1) {
            for($i=0;$i<count($speed_units);$i++) {
                if($w['w_windmax_type'] == $i) $unit = $speed_units[$i];
            }
            echo "Max wiatr: ".$w['w_windmax'].$unit."<br />\n";
        }
        if($weather_settings['rain'] == 1) {
            echo "Opady: ".$w['w_rain']."<br />\n";
        }
        if($weather_settings['wet'] == 1) {
            echo "Wilgotność: ".$w['w_wet']."<br />\n";
        }
        if($weather_settings['bio'] == 1) {
            echo "Biomet: ".$w['w_bio']."<br />\n";
        }
        echo "</div>\n";
    }
    echo "<div style='text-align:right'>\n";
    echo "<a href='".INFUSIONS."duner_weather_panel/weather.php?id=".$w['w_id']."'>» szczegóły</a>\n";
    echo "</div>\n";
} else {
    echo "Brak prognozy na dzisiejszy dzień.<br />\n";
}
echo "</div>\n";

closeside();
?>