<?php
/*-------------------------------------------------------+
| Filename: weather.php
| Author: Mateusz Sieprawski - http://duner.pl/
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."duner_weather/infusion_db.php";
require_once INFUSIONS."duner_weather/infusion_core.php";

$calendar_manager = new calendar();

// dzisiejsza data
$day = date("j");
$month = date("n");
$year = date("Y");

// okreslenie pory dnia
$hours = date("G");
if($hours == 6 || $hours == 7 || $hours == 8 || $hours == 9 || $hours == 10 || $hours == 11 || $hours == 12 || $hours == 13 || $hours == 14 || $hours == 15 || $hours == 16 || $hours == 17 || $hours == 18) {
    $type = 1; // dzien
    $type2 = 2; // noc
    $type_of_day = "dzień";
} elseif($hours == 19 || $hours == 20 || $hours == 21 || $hours == 22 || $hours == 23 || $hours == 0 || $hours == 1 || $hours == 2 || $hours == 3 || $hours == 4 || $hours == 5) {
    $type = 2; // noc
    $type2 = 1; // dzien
    $type_of_day = "noc";
}

opentable("Prognoza pogody");

    echo "<div>\n";
    echo "<table cellspacing='0' cellpadding='0' class='center' width='100%' style='margin-top:40px'>\n";
    echo "<tr>\n";
    echo "<td class='tbl1' width='50%' align='center' valign='top'>\n";
    // terazniejsza pogoda
    $sql = dbquery("SELECT * FROM `".DB_WEATHER."` WHERE w_day='$day' AND w_month='$month' AND w_year='$year' AND w_type='$type' LIMIT 1");
    if(dbrows($sql) > 0) {
        $w = dbarray($sql);
        if($w['w_ico'] != 0 && $w['w_ico'] != "") {
            $ico = dbarray(dbquery("SELECT * FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$w['w_ico']."'"));
            if(file_exists(ICO_FILES.$ico['ico_file'])) {
                $icon = scaleImage(ICO_FILES.$ico['ico_file'], 150, 150, "border:0");
            } else {
                $icon = "nie odnaleziono ikonki na serwerze";
            }
        } else {
            $icon = "brak ikonki";
        }
        echo "<div style='text-align:center'>\n";
        echo "<h3>".$day." ".$calendar_manager->transformed_month($month)." ".$year." roku - $type_of_day</h3><br />\n";
        echo "<div style='text-align:center'>\n";
        if($weather_settings['icon_name'] == 1) {
            echo "<strong>".$ico['ico_name']."</strong><br />\n";
        }
        if($weather_settings['icon'] == 1) {
            echo $icon."<br />\n";
        }
        if($weather_settings['icon_desc'] == 1) {
            echo "<i>".$ico['ico_desc']."</i><br /><br />\n";
        }
        echo "</div>\n";
        echo "<div style='text-align:left'>\n";
        for($i=0;$i<count($temp_units);$i++) {
            if($w['w_temp_type'] == $i) $unit = $temp_units[$i];
        }
        echo "<strong>Temp.:</strong> ".$w['w_temp'].$unit."<br />\n";
        for($i=0;$i<count($temp_units);$i++) {
            if($w['w_tempf_type'] == $i) $unit = $temp_units[$i];
        }
        echo "<strong>Odczuwalnie:</strong> ".$w['w_tempf'].$unit."<br />\n";
        for($i=0;$i<count($pressure_units);$i++) {
            if($w['w_pre_type'] == $i) $unit = $pressure_units[$i];
        }
        echo "<strong>Ciśnienie:</strong> ".$w['w_pre'].$unit."<br />\n";
        for($i=0;$i<count($speed_units);$i++) {
            if($w['w_wind_type'] == $i) $unit = $speed_units[$i];
        }
        echo "<strong>Wiatr:</strong> ".$w['w_wind'].$unit."<br />\n";
        for($i=0;$i<count($speed_units);$i++) {
            if($w['w_windmax_type'] == $i) $unit = $speed_units[$i];
        }
        echo "<strong>Max wiatr:</strong> ".$w['w_windmax'].$unit."<br />\n";
        echo "<strong>Opady:</strong> ".$w['w_rain']."<br />\n";
        echo "<strong>Wilgotność:</strong> ".$w['w_wet']."<br />\n";
        echo "<strong>Biomet:</strong> ".$w['w_bio']."<br />\n";
        echo "</div>\n";
        echo "</div>\n";
    } else {
        echo "Brak prognozy.\n";
    }
    echo "</td>\n";
    echo "<td class='tbl1' width='50%' align='center' valign='top'>\n";
    // pozniejsza pogoda
    if($type2 == 2) {
        $type_next = 2;
        $type_of_day = "noc";
    } else {
        $type_next = 1;
        $type_of_day = "dzień";
        $day++;
        if($day > $calendar_manager->days_in_month($month, $year)) {
            $month++;
            $day = 1;
            if($month > 12) {
                $year++;
                $month = 1;
            }
        }
    }
    $sql_next = dbquery("SELECT * FROM `".DB_WEATHER."` WHERE w_day='$day' AND w_month='$month' AND w_year='$year' AND w_type='$type_next' LIMIT 1");
    if(dbrows($sql_next) > 0) {
        $w = dbarray($sql_next);
        if($w['w_ico'] != 0 && $w['w_ico'] != "") {
            $ico = dbarray(dbquery("SELECT * FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$w['w_ico']."'"));
            if(file_exists(ICO_FILES.$ico['ico_file'])) {
                $icon = scaleImage(ICO_FILES.$ico['ico_file'], 150, 150, "border:0");
            } else {
                $icon = "nie odnaleziono ikonki na serwerze";
            }
        } else {
            $icon = "brak ikonki";
        }
        echo "<div style='text-align:center'>\n";
        echo "<h3>".$day." ".$calendar_manager->transformed_month($month)." ".$year." roku - $type_of_day</h3><br />\n";
        echo "<strong>".$ico['ico_name']."</strong><br />\n";
        echo $icon."<br />\n";
        echo "<i>".$ico['ico_desc']."</i><br /><br />\n";
        echo "</div>\n";
        echo "<div style='text-align:left'>\n";
        echo "<strong>Temperatura:</strong> ".$w['w_temp']."<br />\n";
        echo "<strong>Temperatura odczuwalna:</strong> ".$w['w_tempf']."<br />\n";
        echo "<strong>Ciśnienie:</strong> ".$w['w_pre']."<br />\n";
        echo "<strong>Wiatr:</strong> ".$w['w_wind']." w porywach do ".$w['w_windmax']."<br />\n";
        echo "<strong>Opady:</strong> ".$w['w_rain']."<br />\n";
        echo "<strong>Wilgotność:</strong> ".$w['w_wet']."<br />\n";
        echo "<strong>Biomet:</strong> ".$w['w_bio']."<br /><br />\n";
        echo "</div>\n";
    } else {
        echo "Brak prognozy.\n";
    }
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    echo "</div>\n";
    
closetable();

require_once THEMES."templates/footer.php";
?>